| The Red Project

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Pages
Functions
item.php File Reference

## Functions
| item_post (&$a)
| item_content (&$a)
| handle_tag ($a, &$body, &$inform, &$str_tags, $profile_uid, $tag)
| fix_attached_photo_permissions ($uid, $xchan_hash, $body, $str_contact_allow, $str_group_allow, $str_contact_deny, $str_group_deny)
| fix_attached_file_permissions ($channel, $observer_hash, $body, $str_contact_allow, $str_group_allow, $str_contact_deny, $str_group_deny)

## Function Documentation

fix_attached_file_permissions | ( |  | $channel,
|  |  | $observer_hash,
|  |  | $body,
|  |  | $str_contact_allow,
|  |  | $str_group_allow,
|  |  | $str_contact_deny,
|  |  | $str_group_deny
| ) |  |

Referenced by item_post().

fix_attached_photo_permissions | ( |  | $uid,
|  |  | $xchan_hash,
|  |  | $body,
|  |  | $str_contact_allow,
|  |  | $str_group_allow,
|  |  | $str_contact_deny,
|  |  | $str_group_deny
| ) |  |

Referenced by item_post().

handle_tag | ( |  | $a,
|  | & | $body,
|  | & | $inform,
|  | & | $str_tags,
|  |  | $profile_uid,
|  |  | $tag
| ) |  |

This function removes the tag $tag from the text $body and replaces it with the appropiate link.

Parameters

  unknown_type | $body | the text to replace the tag in
  unknown_type | $inform | a comma-seperated string containing everybody to inform
  unknown_type | $str_tags | string to add the tag to
  unknown_type | $profile_uid |
  unknown_type | $tag | the tag to replace

Returns
  boolean true if replaced, false if not replaced

Referenced by item_post().

item_content | ( | & | $a | ) |

item_post | ( | & | $a | ) |

This is the POST destination for most all locally posted text stuff. This function handles status, wall-to-wall status, local comments, and remote coments that are posted on this site (as opposed to being delivered in a feed). Also processed here are posts and comments coming through the statusnet/twitter API. All of these become an "item" which is our basic unit of information. Posts that originate externally or do not fall into the above posting categories go through item_store() instead of this function.

Is this a reply to something?

fix naked links by passing through a callback to see if this is a red site (already known to us) which will get a zrl, otherwise link with url

When a photo was uploaded into the message using the (profile wall) ajax uploader, The permissions are initially set to disallow anybody but the owner from seeing it. This is because the permissions may not yet have been set for the post. If it's private, the photo permissions should be set appropriately. But we didn't know the final permissions on the post until now. So now we'll look for links of uploaded messages that are in the post and set them to the same permissions as the post itself.

Fold multi-line [code] sequences

Look for any tags and linkify them

Referenced by api_statuses_mediap(), api_statuses_repeat(), api_statuses_update(), and oexchange_content().